summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuigi 'Comio' Mantellini <luigi.mantellini@gmail.com>2016-12-15 15:35:13 +0100
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-12-20 18:17:22 +0000
commit356f5c30b26034b10264454f968950f209064f48 (patch)
treea28d560c913597049e2149c213897cb56ed78b0f /dev-util/conan
parentdev-libs/libmodbus: x86 stable (bug #594604) (diff)
downloadgentoo-356f5c30b26034b10264454f968950f209064f48.tar.gz
gentoo-356f5c30b26034b10264454f968950f209064f48.tar.bz2
gentoo-356f5c30b26034b10264454f968950f209064f48.zip
dev-util/conan: Bump version 0.17.0
Diffstat (limited to 'dev-util/conan')
-rw-r--r--dev-util/conan/Manifest1
-rw-r--r--dev-util/conan/conan-0.17.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-util/conan/Manifest b/dev-util/conan/Manifest
index 9f820a5577e..cdeadf4c8bb 100644
--- a/dev-util/conan/Manifest
+++ b/dev-util/conan/Manifest
@@ -1,2 +1,3 @@
DIST conan-0.14.1.tar.gz 386985 SHA256 3d20eba786a2243989bd4e53b805e265d1593b226ca271ffc3072994ad15c609 SHA512 1a1e4797b50856be38a1edd15c83edf74cdfbb6b64f7b72507ac649eaef7b69dd2d653021104c327f5077d89a1efbbc6dfd7bc1a7ffa6c32762ee2fb0709c56f WHIRLPOOL ae62aae19a3af3da8319e546c8593aec0ad3780109b4b4e97fc5a2892e59797f29c62c768fa59dc361af76426e28a1fcc43d9e4ff65065b581d8497d34e7cfaf
DIST conan-0.16.1.tar.gz 403870 SHA256 683bfa6d5df9f60402ade73d9b5db7c083123a0d8de8b4ed9a72fc86f854d7d9 SHA512 a53dd25db1a57a193f80084412d8d26f178ab68b0433b596ada01478466907b2ac60a89a48c074020eccbb65e71dd057ce70826593a678d9caef691c76ae5aba WHIRLPOOL 41f4a580e8c42df71783747217c1f19dd7f62910c979364dc6af035d51232c02bf1f30ae9e42145b1a4cd3f61c9dd623dbe9361cecfff17391bce5138c177397
+DIST conan-0.17.0.tar.gz 413862 SHA256 6db1fe116a8b79f6fdf96e28375978dc0e7526b9734d8b7087056bd892cef9ce SHA512 5c69a35504b9dabde8a1c12d84455dbc9d85f9ce58fa8d7e781546044c588d92222dda7309542532d64e09dedb281777f7f8d0fbd0004cb3cfef64328f24eacb WHIRLPOOL 9dca2be38b33f740dfbc103412629e8b7a0bea3211b217c07e7da2c1f839a9ec440fabd8cadcc16a4d8f5655a0c7ed66cf7618b19f0ae58ca8bc5443ec0911ae
diff --git a/dev-util/conan/conan-0.17.0.ebuild b/dev-util/conan/conan-0.17.0.ebuild
new file mode 100644
index 00000000000..8c640cb0b4d
--- /dev/null
+++ b/dev-util/conan/conan-0.17.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed C/C++ package manager"
+HOMEPAGE="http://conan.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/boto-2.38[${PYTHON_USEDEP}]
+ >=dev-python/bottle-0.12.8[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.14.1[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/patch-1.16[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-1.4[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.11[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.7[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10[${PYTHON_USEDEP}]
+ >=dev-python/node-semver-0.1.1[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-lang/go
+ >=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/nose-1.3.7[${PYTHON_USEDEP}]
+ >=dev-python/nose-parameterized-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/webtest-2.0.18[${PYTHON_USEDEP}]
+ dev-util/cmake
+ )
+"
+
+python_test() {
+ PYTHONPATH=${BUILD_DIR}/lib nosetests -v || die
+}